#include <stdio.h>
#include <string.h>

#ifndef WIN32_LEAN_AND_MEAN
#define WIN32_LEAN_AND_MEAN
#endif
#include <windows.h>

#include "locotool.h"
#include "common.h"

void err_messagebox(char *message)
{
  MessageBox(NULL,message,get_version(),MB_OK);
}

int main(int argc, char **argv)
{
  char *fname;

  set_err_handler(err_messagebox);

//  printf("%s\n", get_version());

#ifdef USEICONV
  iso_to_utf8 = iconv_open("utf-8", "iso-8859-1");
  if (iso_to_utf8 == (iconv_t)-1)
	die("Cannot initialize conversion %s to %s: %s", "iso-8859-1", "utf-8", strerror(errno));

  utf16_to_utf8 = iconv_open("utf-8", "ucs-2");
  if (utf16_to_utf8 == (iconv_t)-1)
	die("Cannot initialize conversion %s to %s: %s", "utf-16", "utf-8", strerror(errno));
#endif

  if (argc < 2) die("Give filename as parameter");

//if(argc<2)
//  fname="114.xml";
//else
  fname = argv[1];

  if (stricmp(fname+strlen(fname)-4, ".xml") == 0) {
	encode(fname);
  } else {
	decode(fname);
  }

#ifdef USEICONV
  iconv_close(iso_to_utf8);
  iconv_close(utf16_to_utf8);
#endif

  return 0;
}
