#ifndef _LOCOTOOL_H
#define _LOCOTOOL_H

// definition of an error handler
// your function should look like
//
//	void err_handler(char *message);
//
// it's called if there's an error in the processing somewhere
// at that point the processing will be aborted
// (and no cleanup is done; neither of memory nor of any files created)

typedef void err_proc_t(char *);
typedef err_proc_t *err_proc;

// decode the given .dat file
// returns 1 if successful, 0 otherwise
int decode(char *datname);

// encode from the give .xml file
// returns 1 if successful, 0 otherwise
int encode(char *xmlname);

// install your own error handler, the default just prints the message on
// stderr and exits
void set_err_handler(err_proc handler);

// get the version string from the DLL
const char *get_version();

#endif // ndef _LOCOTOOL_H
